﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlServerCe;
using Syncfusion.PivotAnalysis.Base;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.pivotGridControl1.ItemSource = GetsData();

            // Adding PivotRows to the Control

            this.pivotGridControl1.PivotRows.Add(new PivotItem { FieldMappingName = "City", TotalHeader = "Total" });

            this.pivotGridControl1.PivotRows.Add(new PivotItem { FieldMappingName = "Last Name", TotalHeader = "Total" });

            // Adding PivotColumns to the Control

            this.pivotGridControl1.PivotColumns.Add(new PivotItem { FieldMappingName = "Country", TotalHeader = "Total" });

            // Adding PivotCalculations to the Control

            this.pivotGridControl1.PivotCalculations.Add(new PivotComputationInfo { FieldName = "Extension", Format = "C", SummaryType = SummaryType.DoubleTotalSum });

        }

        public DataTable GetsData()
        {
            SqlCeConnection con = new SqlCeConnection("Data Source = E:\\DB\\Northwind.sdf; Password = Hebot15v");
            con.Open();
            SqlCeDataAdapter adp = new SqlCeDataAdapter("SELECT \n\t[Employees].[Employee ID]\n\t,[Employees].[Last Name]\n\t,[Employees].[First Name]\n\t,[Employees].[Title]\n\t,[Employees].[Birth Date]\n\t,[Employees].[Hire Date]\n\t,[Employees].[Address]\n\t,[Employees].[City]\n\t,[Employees].[Region]\n\t,[Employees].[Postal Code]\n\t,[Employees].[Country]\n\t,[Employees].[Home Phone]\n\t,[Employees].[Extension]\n\t,[Employees].[Photo]\n\t,[Employees].[Notes]\n\t,[Employees].[Reports To]\n FROM \n\t[Employees]", con);
            DataTable dt = new DataTable();
            adp.Fill(dt);
            return dt;
        }
    }
}
